package com.service;

import com.entity.Donation;

import java.util.List;
import java.util.Map;


public interface DonationService {

//  添加
  public int add(Donation po);
//  获取信息
  public Donation getById(int id);
//  修改
  public int update(Donation po);
//  删除
  public int delete(int id);
//  查询
  public List<Donation> getAll(Map<String, Object> map);

  public List<Donation> getAllNotFid(Map<String, Object> map);

//  分页显示
  public List<Donation> getByPage(Map<String, Object> map);
//  获取信息的条数
  public int getCount(Map<String, Object> po);


}
